agents.localModel

## Class LocalModelMillerRegression

- java.lang.Object
- - agents.Agent
  - - agents.SystemAgent
    - - agents.localModel.LocalModelAgent
      - - agents.localModel.LocalModelMillerRegression

All Implemented Interfaces:
  java.io.Serializable

    public class LocalModelMillerRegression
    extends LocalModelAgent
    implements java.io.Serializable

The Class LocalModelMillerRegression.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LocalModelMillerRegression(World world)` Instantiates a new local model miller regression.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `computeAMessage(Message m)` Compute A message.
`double[]` `getCoef()` Gets the coef.
`java.lang.String` `getFormula(Context context)` Gets the formula.
`double` `getProposition(Context context)` Gets the proposition.
`double` `getProposition(Context context, Percept p1, Percept p2, double v1, double v2)` Version of getProposition for 2D display.
`java.util.ArrayList<? extends Agent>` `getTargets()` Gets the targets.
`void` `setCoef(double[] coef)` Sets the coef.
`void` `updateModel(Context context)` Update model.

### Methods inherited from class agents.localModel.LocalModelAgent

`die`

### Methods inherited from class agents.SystemAgent

`getWorld, play, setWorld`

### Methods inherited from class agents.Agent

`getID, getMessages, getMessagesBin, getName, isDying, readMessage, sendExpressMessage, sendMessage, sendMessage, setDying, setID, setMessages, setMessagesBin, setName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalModelMillerRegression

    public LocalModelMillerRegression(World world)

Instantiates a new local model miller regression.

Parameters:
  `world` - the world

### Method Detail

#### setCoef

    public void setCoef(double[] coef)

Sets the coef.

Parameters:
  `coef` - the new coef

#### getCoef

    public double[] getCoef()

Gets the coef.

Returns:
  the coef

#### getTargets

    public java.util.ArrayList<? extends Agent> getTargets()

Description copied from class: `SystemAgent`
Gets the targets.

Overrides:
  `getTargets` in class `LocalModelAgent`
Returns:
  the targets

#### computeAMessage

    public void computeAMessage(Message m)

Description copied from class: `Agent`
Compute A message.

Overrides:
  `computeAMessage` in class `LocalModelAgent`
Parameters:
  `m` - the m

#### getProposition

    public double getProposition(Context context)

Description copied from class: `LocalModelAgent`
Gets the proposition.

Specified by:
  `getProposition` in class `LocalModelAgent`
Parameters:
  `context` - the context
Returns:
  the proposition

#### getProposition

    public double getProposition(Context context,
                                 Percept p1,
                                 Percept p2,
                                 double v1,
                                 double v2)

Description copied from class: `LocalModelAgent`
Version of getProposition for 2D display.

Specified by:
  `getProposition` in class `LocalModelAgent`
Parameters:
  `context` - the context
  `p1` - the p 1
  `p2` - the p 2
  `v1` - the v 1
  `v2` - the v 2
Returns:
  the proposition

#### getFormula

    public java.lang.String getFormula(Context context)

Description copied from class: `LocalModelAgent`
Gets the formula.

Specified by:
  `getFormula` in class `LocalModelAgent`
Parameters:
  `context` - the context
Returns:
  the formula

#### updateModel

    public void updateModel(Context context)

Description copied from class: `LocalModelAgent`
Update model.

Specified by:
  `updateModel` in class `LocalModelAgent`
Parameters:
  `context` - the context